%define upstream_name ndg_httpsclient

Name:           python-%{upstream_name}
Version:        0.5.1
Release:        %mkrel 6
Summary:        Provides enhanced HTTPS support for httplib and urllib2
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/ndg_httpsclient
Source0:        https://pypi.python.org/packages/source/n/ndg_httpsclient/ndg_httpsclient-%{version}.tar.gz
BuildArch:      noarch

%description
This is a HTTPS client implementation for httplib and urllib2 based on
PyOpenSSL. PyOpenSSL provides a more fully featured SSL implementation over the
default provided with Python and importantly enables full verification of the
SSL peer.

%package -n     python3-%{upstream_name}
Summary:        Provides enhanced HTTPS support for httplib and urllib2
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-ndg_httpsclient}
Provides:       python3-ndg-httpsclient = %{version}-%{release}
Provides:       ndg-httpsclient = %{version}-%{release}
Obsoletes:      python3-ndg-httpsclient < 0.5.1
Obsoletes:      ndg-httpsclient < 0.5.1

%description -n python3-%{upstream_name}
This is a HTTPS client implementation for httplib and urllib2 based on
PyOpenSSL. PyOpenSSL provides a more fully featured SSL implementation over the
default provided with Python and importantly enables full verification of the
SSL peer.

%prep
%setup -q -n %{upstream_name}-%{version}

# Remove bundled egg-info
rm -rf %{upstream_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%{_bindir}/ndg_httpclient
%{python3_sitelib}/ndg
%{python3_sitelib}/ndg_httpsclient-%{version}-*.egg-info


%changelog
* Mon Jan 11 2021 wally <wally> 0.5.1-6.mga8
+ Revision: 1671115
- provide and obsolete old python-ndg_httpsclient

* Sun Feb 16 2020 umeabot <umeabot> 0.5.1-5.mga8
+ Revision: 1531814
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 guillomovitch <guillomovitch> 0.5.1-4.mga8
+ Revision: 1441059
- rebuild for python 3.8

* Sat Jul 20 2019 wally <wally> 0.5.1-3.mga8
+ Revision: 1423110
- drop python2 support
- properly obsolete duplicate python-ndg-httpsclient

* Wed Jan 09 2019 shlomif <shlomif> 0.5.1-2.mga7
+ Revision: 1353467
- Rebuild for python3 3.7

* Wed Jan 09 2019 shlomif <shlomif> 0.5.1-1.mga7
+ Revision: 1353464
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.4.0-4.mga7
+ Revision: 1289477
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.4.0-3.mga7
+ Revision: 1135513
- Rebuild for python 3.6

* Tue Jan 19 2016 daviddavid <daviddavid> 0.4.0-2.mga6
+ Revision: 925745
- use new python macros
- add python3 package

* Fri Dec 04 2015 guillomovitch <guillomovitch> 0.4.0-1.mga6
+ Revision: 908036
- imported package python-ndg_httpsclient

